Skip to main content
GET
/
locations
Retrieve locations list
curl --request GET \
  --url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/locations \
  --header 'x-api-key: <api-key>'

Documentation Index

Fetch the complete documentation index at: https://fieldpulse.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:your-api-key-here
required

Query Parameters

limit
string

Defaults to 20 items per page, maximum 100 items allowed.

page
string

Page number. Starts from 1, defaults to 1.

object_type
string

Allowed values: customer, job.

object_id
string

Object ID.

calculate_count
string

Optional. Values: true, false. If true, the response will contain totla_count

filter
string

Array of attribute, operator, and value parts.

asn
string

Array or object containing either a team_id index, assigned_members index containing an array of member ids, or both.

sort
string

Array of attribute and order values.

Response

200 - application/json

Successful response